SpinnyBird.HighScoreScreen = function (game) {
};

SpinnyBird.HighScoreScreen.prototype = {

    preload: function () {
    },

    create: function () {

      this.gameOverText = this.add.retroFont('spinny-font',12,12,Phaser.RetroFont.TEXT_SET10+'!?"\'#$%&()[]*');
      this.gameOverText.text = 'HIGH SCORES';
      this.gameOverTitle = this.add.image(240, 50, this.gameOverText);
      this.gameOverTitle.scale.setTo(2,2);
      this.gameOverTitle.anchor.setTo(0.5, 0.5);
      this.gameOverTitle.alpha = 0;
      this.add.tween(this.gameOverTitle).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true, 0);

      this.hiEndlessScoreText = this.add.retroFont('spinny-font',12,12,Phaser.RetroFont.TEXT_SET10+'!?"\'#$%&()[]*+-.:;=<>@^`~/0123456789');
      this.hiEndlessScoreText.text = 'ENDLESS MODE: '+SpinnyBird.getHighScore();
      this.hiEndlessScoreLabel = this.add.image(240, 164, this.hiEndlessScoreText);
      this.hiEndlessScoreLabel.scale.setTo(2,2);
      this.hiEndlessScoreLabel.anchor.setTo(0.5,0.5);
      this.hiEndlessScoreLabel.alpha = 0;
      this.add.tween(this.hiEndlessScoreLabel).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true, 0);

      this.hiBlitzScoreText = this.add.retroFont('spinny-font',12,12,Phaser.RetroFont.TEXT_SET10+'!?"\'#$%&()[]*+-.:;=<>@^`~/0123456789');
      this.hiBlitzScoreText.text = 'BLITZ MODE: '+SpinnyBird.getHighBlitzScore();
      this.hiBlitzScoreLabel = this.add.image(240, 212, this.hiBlitzScoreText);
      this.hiBlitzScoreLabel.scale.setTo(2,2);
      this.hiBlitzScoreLabel.anchor.setTo(0.5,0.5);
      this.hiBlitzScoreLabel.alpha = 0;
      this.add.tween(this.hiBlitzScoreLabel).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true, 0);

      this.btnBackToMenu = this.add.sprite(240, 422, 'long-button');
      this.btnBackToMenu.anchor.setTo(0.5, 0.5);
      this.btnBackToMenu.alpha = 0;
      this.add.tween(this.btnBackToMenu).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true);

      this.labelBackToMenu = this.add.text(240, 424, 'Back to menu', {font:'16px PixelBerry', fill:'#000'});
      this.labelBackToMenu.anchor.setTo(0.5, 0.5);
      this.labelBackToMenu.alpha = 0;
      this.add.tween(this.labelBackToMenu).to({alpha:1}, 400, Phaser.Easing.Quadratic.In, true);

      this.btnBackToMenu.inputEnabled = true;
      this.btnBackToMenu.input.useHandCursor = true;
      this.btnBackToMenu.events.onInputDown.add(function() {
        this.btnBackToMenu.frame += 1;
        this.labelBackToMenu.y = 426;
      }, this);
      this.btnBackToMenu.events.onInputUp.add(function() {
        this.btnBackToMenu.frame = 0;
        this.btnBackToMenu.y = 424;
        SpinnyBird.playSound('click');
        this.state.start('MenuScreen');
      }, this);

      Mousetrap.reset();

      Mousetrap.bind(['delete','backspace'], () => { SpinnyBird.playSound('click'); this.state.start('MenuScreen'); }, 'keyup');

      Mousetrap.bind(['space','enter'], () => { SpinnyBird.playSound('click'); this.state.start('MenuScreen'); }, 'keyup');

    }

};